package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.service.UnitService;
import com.ecep.contract.vo.UnitVo;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class UnitTableCell<T> extends AsyncUpdateTableCell<T, Integer, UnitVo> {
    public UnitTableCell(UnitService service) {
        setService(service);
    }

    @Override
    protected UnitService getServiceBean() {
        return SpringApp.getBean(UnitService.class);
    }
}
